function AA = eval_non_lin( A,s )
%EVAL_NON_LIN - Evaluate the non-linear model
n = size(A.C{1},1);
AA = sparse(n,n);
sel = find(A.p~=0);
itt = 1;
for it = sel
    AA = AA + A.p(it)*A.C{itt}*s^(it-1);
    itt = itt+1;
end
for it = 1:length(A.f)
    AA = AA + A.f{it}(s)*A.C{it+nnz(A.p)};
end
end